<template>
    <div class="result">
        <div class="row">
            <img class="time" alt="icon time" src="../assets/time.svg"/>
        </div>
        <div class="title-w">
            <p class="point">{{score}} ms</p>
            <p class="title">{{title}}</p>
        </div>
    </div>
</template>

<script>
import {getTitle} from "../utils.js"
    export default {
        data() {
            return {
                title : null
            }
        },
        props :['score'],
        mounted() {
            this.title = getTitle(this.$props.score)
        },
    }
</script>

<style>
    .result{
        background :#FFFBEB;
        display: flex;
        flex-direction: row;
        width: 180px;
        height: 50px;
        border-radius: 5px;
        text-align: center;
        margin: auto;
        margin-bottom: 5px;
        justify-content: space-between;
    }

    .result .row {
        width: 45px;
        background: #FBBF24;
        align-self: center;
        border-radius: 0px 5px 5px 0px;
    }

    .result .row .time{
        margin-top: 4px;
        width: 45%;
    }
    .result .title-w{
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 100%;
    }
    .title-w .point{
        height: 100px;
        border-bottom: 3px solid #FBBF24;
        padding: 2px;
    }
    .title-w .title{
        height: 100px;
        padding: 2px;
    }
</style>
    